const megamenu = [
  {
    "Accounts & Products": {
      title: "Accounts & Products",
      link: "#",
      submenu: [
        {
          title: "Accounts",
          link: "#",
          submenu: [
            // {
            //   title: "Overview",
            //   link: "https://www.schwab.com/public/schwab/investing/accounts_products/accounts",
            // },
            {
              title: "Brokerage and Trading",
              link: "https://www.schwab.com/brokerage",
              submenu: [
                {
                  title: "Brokerage and Trading Account",
                  link: "https://www.schwab.com/brokerage",
                },
                {
                  title: "Types of Brokerage Accounts",
                  link: "https://www.schwab.com/brokerage/types-of-brokerage-accounts",
                },
                {
                  title: "What is a Brokerage Account",
                  link: "https://www.schwab.com/brokerage/what-is-a-brokerage-account",
                },
              ],
            },
            {
              title: "Retirement Accounts (IRAs)",
              link: "https://www.schwab.com/ira",
              submenu: [
                {
                  title: "Retirement Accounts (IRAs)",
                  link: "https://www.schwab.com/ira",
                },
                {
                  title: "Traditional IRA",
                  link: "#",
                  submenu: [
                    {
                      title: "Traditional IRA",
                      link: "https://www.schwab.com/ira/traditional-ira",
                    },
                    {
                      title: "Withdrawal Rules",
                      link: "#",
                      submenu: [
                        {
                          title: "Withdrawal Rules",
                          link: "https://www.schwab.com/ira/traditional-ira/withdrawal-rules",
                          submenu: [
                            {
                              title: "59 1/2 & Above",
                              link: "https://www.schwab.com/ira/traditional-ira/withdrawal-rules/59-and-over",
                            },
                            {
                              title: "RMDs",
                              link: "https://www.schwab.com/ira/traditional-ira/withdrawal-rules/required-minimum-distributions",
                            },
                          ],
                        },
                      ],
                    },
                    {
                      title: "Contribution Limits",
                      link: "https://www.schwab.com/ira/trad-ira/contribution-limits",
                    },
                  ],
                },
                {
                  title: "Roth IRA",
                  link: "#",
                  submenu: [
                    {
                      title: "Roth IRA",
                      link: "https://www.schwab.com/ira/rollover-ira",
                    },
                    {
                      title: "Roth vs Traditional",
                      link: "https://www.schwab.com/ira/roth-vs-traditional-ira",
                    },
                    {
                      title: "Withdrawal Rules",
                      link: "https://www.schwab.com/ira/roth-ira/withdrawal-rules",
                    },
                    {
                      title: "Contribution Limits",
                      link: "https://www.schwab.com/ira/roth-ira/contribution-limits",
                    },
                  ],
                },
                {
                  title: "Rollover IRA",
                  link: "#",
                  submenu: [
                    {
                      title: "Rollover IRA",
                      link: "https://www.schwab.com/ira/rollover-ira",
                    },
                    {
                      title: "Rollover Options",
                      link: "https://www.schwab.com/ira/rollover-ira/rollover-options",
                    },
                    {
                      title: "Combining 401ks",
                      link: "https://www.schwab.com/ira/rollover-ira/combining-401ks",
                    },
                  ],
                },
                {
                  title: "Other IRAs",
                  link: "#",
                  submenu: [
                    {
                      title: "Other IRAs",
                      link: "https://www.schwab.com/ira/inherited-and-custodial-ira",
                    },
                    {
                      title: "Withdrawal Rules (Inherited)",
                      link: "https://www.schwab.com/ira/inherited-and-custodial-ira/inherited-ira-withdrawal-rules",
                    },
                  ],
                },
                {
                  title: "Schwab IRA Calculators",
                  link: "#",
                  submenu: [
                    {
                      title: "Schwab IRA Calculators",
                      link: "https://www.schwab.com/ira/ira-calculators",
                    },
                    {
                      title: "Retirement Savings Calculator",
                      link: "https://www.schwab.com/retirement-planning-tools/retirement-calculator",
                    },
                    {
                      title: "Roth vs Traditional Calculator",
                      link: "https://www.schwab.com/ira/ira-calculators/roth-vs-traditional",
                    },
                    {
                      title: "Roth IRA conversion",
                      link: "https://www.schwab.com/ira/ira-calculators/roth-ira-conversion",
                    },
                    {
                      title: "RMDs Calculator",
                      link: "https://www.schwab.com/ira/ira-calculators/rmd",
                    },
                    {
                      title: "Inherited IRA RMD Calculator",
                      link: "https://www.schwab.com/ira/ira-calculators/inherited-rmd",
                    },
                  ],
                },
              ],
            },
            {
              title: "Education and Custodial",
              link: "https://www.schwab.com/college-savings-accounts",
              submenu: [
                {
                  title: "Overview",
                  link: "https://www.schwab.com/college-savings-accounts",
                },
                {
                  title: "College Savings Calculator",
                  link: "https://www.schwab.com/public/schwab/investing/retirement_and_planning/saving_for_college/college_savings_calculator",
                },
                {
                  title: "529 Savings Plan",
                  link: "#",
                  submenu: [
                    {
                      title: "Overview",
                      link: "https://www.schwab.com/529-plan",
                    },
                    {
                      title: "529 State Tax Calculator",
                      link: "https://www.schwab.com/529-plan/529-state-tax-calculator",
                    },
                    {
                      title: "Learning Quest 529 Plan",
                      link: "https://www.schwab.com/529-plan/learning-quest",
                    },
                  ],
                },
                {
                  title: "Education Savings Account",
                  link: "https://www.schwab.com/educational-savings-account",
                },
                {
                  title: "Custodial Account",
                  link: "#",
                  submenu: [
                    {
                      title: "Overview",
                      link: "https://www.schwab.com/custodial-account",
                    },
                    {
                      title: "Custodial Transfer",
                      link: "https://www.schwab.com/custodial-account/custodial-transfer",
                    },
                  ],
                },
              ],
            },
            {
              title: "Personal Choice Retirement",
              link: "https://www.schwab.com/pcra",
            },
            {
              title: "Small Business",
              link: "https://www.schwab.com/small-business-solutions",
              submenu: [
                {
                  title: "Small Business Solutions",
                  link: "https://www.schwab.com/small-business-solutions",
                },
                {
                  title: "Small Business Retirement",
                  link: "#",
                  submenu: [
                    {
                      title: "Overview",
                      link: "https://www.schwab.com/small-business-retirement-plans",
                    },
                    {
                      title: "Individual 401(k)",
                      link: "https://www.schwab.com/small-business-retirement-plans/individual-401k-plans",
                    },
                    {
                      title: "SEP IRA",
                      link: "https://www.schwab.com/small-business-retirement-plans/sep-ira",
                    },
                    {
                      title: "Personal Defined Benefit Plan",
                      link: "#",
                      submenu: [
                        {
                          title: "Overview",
                          link: "https://www.schwab.com/small-business-retirement-plans/personal-defined-benefit-plan",
                        },
                        {
                          title: "FAQs",
                          link: "https://www.schwab.com/small-business-retirement-plans/personal-defined-benefit-plan/personal-defined-benefit-plan-faqs",
                        },
                      ],
                    },
                    {
                      title: "SIMPLE IRA",
                      link: "https://www.schwab.com/small-business-retirement-plans/simple-ira",
                    },
                    {
                      title: "Business 401(k) Plan",
                      link: "https://www.schwab.com/small-business-retirement-plans/401k-plan",
                    },
                    {
                      title: "Company Retirement Account",
                      link: "https://www.schwab.com/small-business-retirement-plans/company-retirement-account",
                    },
                  ],
                },
              ],
            },
            {
              title: "Accounts by Financial Goal",
              link: "https://schwab.com/investment-account-goals",
            },
            // {
            //   title: "Open an Account",
            //   link: "https://www.schwab.com/open-an-account",
            // },
          ],
        },
        {
          title: "Trading",
          link: "#",
          submenu: [
            // {
            //   title: "Overview",
            //   link: "#",
            // },
            {
              title: "Schwab Trading Powered by Ameritrade™",
              link: "https://www.schwab.com/trading",
            },
            {
              title: "thinkorswim® Trading Platforms",
              link: "https://www.schwab.com/trading/thinkorswim",
              submenu: [
                {
                  title: "Overview",
                  link: "https://www.schwab.com/trading/tools-and-platforms",
                },
                {
                  title: "thinkorswim desktop",
                  link: "https://www.schwab.com/trading/thinkorswim/desktop",
                },
                {
                  title: "thinkorswim mobile",
                  link: "https://www.schwab.com/trading/thinkorswim/mobile-app",
                },
                {
                  title: "thinkorswim web",
                  link: "https://www.schwab.com/trading/thinkorswim/web",
                },
                {
                  title: "paperMoney",
                  link: "https://www.schwab.com/trading/thinkorswim/paper-trading",
                },
                {
                  title: "thinkorswim Download Instructions",
                  link: "https://www.schwab.com/trading/thinkorswim/download",
                },
              ],
            },
            {
              title: "Platforms Overview",
              link: "https://www.schwab.com/trading/thinkorswim/compare-platforms",
            },
            {
              title: "Education",
              link: "https://www.schwab.com/trading/learn-to-trade",
            },
            {
              title: "Support",
              link: "https://www.schwab.com/trading/support",
            },
            {
              title: "Order Execution",
              link: "https://www.schwab.com/execution-quality",
              submenu: [
                {
                  title: "Schwab Order Execution Advantage™",
                  link: "https://www.schwab.com/execution-quality",
                },
                {
                  title: "Order Routing Process",
                  link: "https://www.schwab.com/execution-quality/order-routing-process",
                },
                {
                  title: "Price Improvement",
                  link: "https://www.schwab.com/execution-quality/price-improvement",
                },
              ],
            },
            {
              title: "Research",
              link: "https://www.schwab.com/investment-research",
              submenu: [
                {
                  title: "Investment Research",
                  link: "https://www.schwab.com/investment-research",
                },
                {
                  title: "Schwab Trading Activity Index™ (STAX)",
                  link: "#",
                  submenu: [
                    {
                      title: "STAX Overview",
                      link: "https://www.schwab.com/investment-research/stax",
                    },
                    {
                      title: "View the STAX",
                      link: "https://www.schwab.com/investment-research/stax/view-schwab-trading-activity-index",
                    },
                  ],
                },
              ],
            },
          ],
        },
        {
          title: "Investment Products",
          link: "#",
          submenu: [
            // {
            //   title: "Overview",
            //   link: "https://www.schwab.com/public/schwab/investing/accounts_products/investment",
            // },
            {
              title: "Mutual Funds",
              link: "https://www.schwab.com/mutual-funds",
              submenu: [
                {
                  title: "Mutual Funds Overview",
                  link: "https://www.schwab.com/mutual-funds",
                },
                {
                  title: "Find Mutual Funds",
                  link: "#",
                  submenu: [
                    {
                      title: "Find Mutual Funds",
                      link: "https://www.schwab.com/mutual-funds/find-mutual-funds",
                    },
                    {
                      title: "Investor Information",
                      link: "https://www.schwab.com/mutual-funds/find-mutual-funds/investor-information",
                    },
                  ],
                },
                {
                  title: "Build a Portfolio",
                  link: "https://www.schwab.com/mutual-funds/build-a-portfolio",
                },
                {
                  title: "Invest in a Portfolio Solution",
                  link: "https://www.schwab.com/mutual-funds/invest-in-a-portfolio-solution",
                },
                {
                  title: "Understanding Mutual Funds",
                  link: "#",
                  submenu: [
                    {
                      title: "Overview",
                      link: "https://www.schwab.com/mutual-funds/understand-mutual-funds",
                    },
                    {
                      title: "Benefits and Considerations of Mutual Funds",
                      link: "https://www.schwab.com/mutual-funds/benefits",
                    },
                    {
                      title: "Costs and Fees of Mutual Funds",
                      link: "https://www.schwab.com/mutual-funds/costs-fees",
                    },
                    {
                      title: "ETFs vs. Mutual Funds",
                      link: "https://www.schwab.com/etfs/mutual-funds-vs-etfs",
                    },
                    {
                      title: "Types of Mutual Funds",
                      link: "https://www.schwab.com/mutual-funds/types",
                      submenu: [
                        {
                          title: "Types of Mutual Funds",
                          link: "https://www.schwab.com/mutual-funds/types",
                        },
                        {
                          title: "Equity Mutual Funds",
                          link: "https://www.schwab.com/mutual-funds/types/equity-mutual-funds",
                        },
                        {
                          title: "Index Mutual Funds",
                          link: "https://www.schwab.com/mutual-funds/types/index-mutual-funds",
                        },
                        {
                          title: "Asset Allocation Mutual Funds",
                          link: "https://www.schwab.com/mutual-funds/types/asset-allocation-mutual-funds",
                        },
                        {
                          title: "Target Date Mutual Funds",
                          link: "https://www.schwab.com/mutual-funds/types/target-date-mutual-funds",
                        },
                        {
                          title: "Commodity Mutual Funds",
                          link: "https://www.schwab.com/mutual-funds/types/commodity-mutual-funds",
                        },
                        {
                          title:
                            "Environmental, Social and Governance (ESG) Mutual Funds",
                          link: "https://www.schwab.com/mutual-funds/types/socially-responsible-mutual-funds",
                        },
                      ],
                    },
                  ],
                },
              ],
            },
            {
              title: "ETFs",
              link: "https://www.schwab.com/etfs",
              submenu: [
                {
                  title: "Overview",
                  link: "https://www.schwab.com/etfs?overview=",
                },
                {
                  title: "ETFs at Schwab",
                  link: "#",
                  submenu: [
                    {
                      title: "Overview",
                      link: "https://www.schwab.com/etfs/invest-in-etfs",
                    },
                    {
                      title: "Investor Information",
                      link: "https://www.schwab.com/etfs/investor-information",
                    },
                  ],
                },
                {
                  title: "Selecting ETFs",
                  link: "https://www.schwab.com/etfs/tools",
                },
                {
                  title: "Understanding ETFs",
                  link: "https://www.schwab.com/etfs/understand-etfs",
                },
                {
                  title: "Mutual funds vs. ETFs",
                  link: "https://www.schwab.com/etfs/mutual-funds-vs-etfs",
                },
                {
                  title: "Benefits of ETFs",
                  link: "https://www.schwab.com/etfs/benefits",
                },
                {
                  title: "ETF Costs & Fees",
                  link: "https://www.schwab.com/etfs/costs-fees",
                },
                {
                  title: "Types of ETFs",
                  link: "#",
                  submenu: [
                    {
                      title: "Overview",
                      link: "https://www.schwab.com/etfs/types",
                    },
                    {
                      title: "Sector ETFs",
                      link: "https://www.schwab.com/etfs/types/sector-etfs",
                    },
                    {
                      title: "Dividend ETFs",
                      link: "https://www.schwab.com/etfs/types/dividend-etfs",
                    },
                    {
                      title: "Smart Beta ETFs",
                      link: "https://www.schwab.com/etfs/types/smart-beta-etfs",
                    },
                    {
                      title: "Environmental, Social and Governance (ESG) ETFs",
                      link: "https://www.schwab.com/etfs/types/socially-responsible-etfs",
                    },
                    {
                      title: "Bond ETFs",
                      link: "https://www.schwab.com/public/schwab/investing/accounts_products/investment/bonds/bond_etfs",
                    },
                    {
                      title: "Commodity ETFs",
                      link: "https://www.schwab.com/etfs/types/commodity-etfs",
                    },
                    {
                      title: "Currency ETFs",
                      link: "https://www.schwab.com/etfs/types/currency-etfs",
                    },
                  ],
                },
              ],
            },
            {
              title: "Stocks",
              link: "https://www.schwab.com/stocks",
              submenu: [
                {
                  title: "Overview",
                  link: "https://www.schwab.com/stocks",
                  submenu: [
                    {
                      title: "Trading Stocks at Schwab",
                      link: "https://www.schwab.com/stocks",
                    },
                    {
                      title: "Extended Hours Trading",
                      link: "https://www.schwab.com/stocks/extended-hours-trading",
                    },
                  ],
                },
                {
                  title: "Understanding Stocks",
                  link: "#",
                  submenu: [
                    {
                      title: "Overview",
                      link: "https://www.schwab.com/stocks/understand-stocks",
                    },
                    {
                      title: "Over-the-counter (OTC) securities",
                      link: "https://www.schwab.com/stocks/understand-stocks/otc-stock",
                    },
                    {
                      title: "Master Limited Partnerships (MLPs)",
                      link: "https://www.schwab.com/stocks/understand-stocks/mlps",
                    },
                    {
                      title: "Real Estate Investment Trusts (REITs)",
                      link: "https://www.schwab.com/stocks/understand-stocks/reits",
                    },
                    {
                      title: "Business Development Companies (BDCs)",
                      link: "https://www.schwab.com/stocks/understand-stocks/bdcs",
                    },
                    {
                      title: "New Issues Stocks",
                      link: "https://www.schwab.com/stocks/ipo-direct-listing",
                    },
                  ],
                },
                {
                  title: "International Stocks",
                  link: "#",
                  submenu: [
                    {
                      title: "Overview",
                      link: "https://www.schwab.com/stocks/understand-stocks/international",
                    },
                    {
                      title: "ADRs, Foreign Ordinaries & Canadian Stocks",
                      link: "https://www.schwab.com/stocks/understand-stocks/international/adrs-foreign-ordinaries-canadian-stocks",
                    },
                  ],
                },
              ],
            },
            {
              title: "Options",
              link: "https://www.schwab.com/options",
              submenu: [
                {
                  title: "Overview",
                  link: "https://www.schwab.com/options",
                },
                {
                  title: "Introduction to Options",
                  link: "https://www.schwab.com/options/what-is-trading-options",
                  submenu: [
                    {
                      title: "Overview",
                      link: "https://www.schwab.com/options/what-is-trading-options",
                    },
                    {
                      title: "Options Contracts",
                      link: "https://www.schwab.com/options/options-contracts",
                    },
                    {
                      title: "Options Greeks",
                      link: "https://www.schwab.com/options/options-greeks",
                    },
                    {
                      title: "Options Strategies",
                      link: "https://www.schwab.com/options/options-trading-strategies",
                    },
                    {
                      title: "How to Trade Options",
                      link: "https://www.schwab.com/options/how-to-trade-options",
                    },
                  ],
                },
                {
                  title: "Why Trade Options at Schwab",
                  link: "https://www.schwab.com/options/options-trading",
                },
                {
                  title: "Get Started",
                  link: "https://www.schwab.com/options/trade-options",
                },
              ],
            },
            {
              title: "Futures",
              link: "https://www.schwab.com/futures",
              submenu: [
                {
                  title: "Overview",
                  link: "https://www.schwab.com/futures",
                },
                {
                  title: "Introduction to Futures",
                  link: "#",
                  submenu: [
                    {
                      title: "Intro to Futures",
                      link: "https://www.schwab.com/futures/what-are-futures",
                    },
                    {
                      title: "Futures Contracts",
                      link: "https://www.schwab.com/futures/futures-contract",
                    },
                    {
                      title: "Futures Margin",
                      link: "https://www.schwab.com/futures/futures-margin",
                    },
                    {
                      title: "How to Trade Futures",
                      link: "https://www.schwab.com/futures/how-to-trade-futures",
                    },
                    {
                      title: "FAQs",
                      link: "https://www.schwab.com/futures/faqs",
                    },
                  ],
                },
                {
                  title: "Futures Markets",
                  link: "#",
                  submenu: [
                    {
                      title: "Futures Markets Overview",
                      link: "https://www.schwab.com/futures/futures-markets",
                    },
                    {
                      title: "Micro Futures",
                      link: "https://www.schwab.com/futures/micro-futures",
                    },
                    {
                      title: "E-Mini S&P 500 Futures",
                      link: "http://www.schwab.com/futures/sp-500-emini",
                    },
                    {
                      title: "E-Mini Nasdaq Futures",
                      link: "https://www.schwab.com/futures/Nasdaq-100-emini",
                    },
                    {
                      title: "E-Mini Dow Futures",
                      link: "https://www.schwab.com/futures/dow-industrial-mini",
                    },
                    {
                      title: "E-Mini Russell 2000 Futures",
                      link: "https://www.schwab.com/futures/russell-2000-emini",
                    },
                  ],
                },
                {
                  title: "Why Trade Futures Through Us",
                  link: "https://www.schwab.com/futures/futures-trading",
                },
                {
                  title: "Get Started",
                  link: "https://www.schwab.com/futures/trade-futures",
                },
              ],
            },
            {
              title: "Bonds, CDs & Fixed Income",
              link: "https://www.schwab.com/fixed-income",
              submenu: [
                {
                  title: "Overview",
                  link: "https://www.schwab.com/fixed-income",
                },
                {
                  title: "Fixed Income Products",
                  link: "#",
                  submenu: [
                    {
                      title: "Individual Bonds",
                      link: "https://www.schwab.com/fixed-income/individual-bonds",
                    },
                    {
                      title: "Certificates of Deposit",
                      link: "https://www.schwab.com/fixed-income/certificates-deposit",
                    },
                    {
                      title: "Bond Funds, Bond ETFs, and Preferred Securities",
                      link: "https://www.schwab.com/fixed-income/bond-funds-etfs",
                    },
                  ],
                },
                {
                  title: "Selecting Fixed Income",
                  link: "https://www.schwab.com/fixed-income/selecting",
                },
                {
                  title: "Pricing",
                  link: "https://www.schwab.com/fixed-income/pricing",
                },
              ],
            },
            {
              title: "Money Market Funds",
              link: "https://www.schwab.com/money-market-funds",
            },
            {
              title: "Cash Solutions & Rates",
              link: "https://www.schwab.com/cash-investments",
            },
            {
              title: "Annuities",
              link: "https://www.schwab.com/annuities",
            },
            {
              title: "Cryptocurrency",
              link: "https://www.schwab.com/cryptocurrency",
            },
            {
              title: "More Investment Products",
              link: "https://www.schwab.com/investment",
            },
          ],
        },
        {
          title: "Banking & Borrowing",
          link: "#",
          submenu: [
            // {
            //   title: "Overview",
            //   link: "#",
            // },
            {
              title: "Bank Offerings",
              link: "https://www.schwab.com/bank",
            },
            {
              title: "Checking",
              link: "https://www.schwab.com/checking",
              submenu: [
                {
                  title: "Overview",
                  link: "https://www.schwab.com/checking",
                },
                {
                  title: "Schwab Bank Debit Card",
                  link: "https://www.schwab.com/checking/debit-card",
                },
                {
                  title: "FAQs",
                  link: "https://www.schwab.com/checking/faqs",
                },
              ],
            },
            {
              title: "Savings",
              link: "https://www.schwab.com/savings",
            },
            {
              title: "Home Loans & Rates",
              link: "https://www.schwab.com/mortgages",
            },
            {
              title: "Strategic Borrowing",
              link: "https://www.schwab.com/strategic-borrowing",
            },
            {
              title: "Credit Cards",
              link: "https://www.schwab.com/credit-cards",
            },
          ],
        },
        {
          title: "Featured Offerings",
          link: "#",
          submenu: [
            // {
            //   title: "Overview",
            //   link: "#",
            // },
            {
              title: "Schwab Investing Themes™",
              link: "https://www.schwab.com/thematic-investing",
            },
            {
              title: "Schwab Starter Kit™",
              link: "https://www.schwab.com/investing-starter-kit",
            },
            {
              title: "Schwab Stock Slices™",
              link: "https://www.schwab.com/fractional-shares-stock-slices",
            },
            {
              title: "Schwab Personalized Indexing™",
              link: "https://www.schwab.com/direct-indexing",
            },
            {
              title: "Generating Retirement Income",
              link: "https://www.schwab.com/invest-with-us/retirement-income",
            },
            {
              title: "Tax-Efficient Investing",
              link: "https://www.schwab.com/invest-with-us/tax-efficient-investing",
            },
            {
              title: "Schwab Personal Trust Services",
              link: "https://www.schwab.com/personal-trust-services",
            },
          ],
        },
      ],
    },
  },
  {
    Advice: {
      title: "Advice",
      link: "#",
      submenu: [
        {
          title: "Advice Solutions",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "#",
            },
            {
              title: "Automated Investing",
              link: "https://www.schwab.com/intelligent-portfolios",
            },
            {
              title: "Automated Investing with Guidance",
              link: "https://www.schwab.com/intelligent-portfolios-premium",
              submenu: [
                {
                  title: "Overview",
                  link: "https://www.schwab.com/intelligent-portfolios-premium",
                },
                {
                  title: "Compare Solutions",
                  link: "#",
                  submenu: [
                    {
                      title: "Compare Our Solutions",
                      link: "https://www.schwab.com/automated-investing/compare",
                    },
                    {
                      title: "Compare Us To Others",
                      link: "https://www.schwab.com/automated-investing/compare-us",
                    },
                  ],
                },
                {
                  title: "Resources",
                  link: "#",
                  submenu: [
                    {
                      title: "An Introduction to Robo-Advice",
                      link: "https://www.schwab.com/automated-investing/what-is-a-robo-advisor",
                    },
                    {
                      title: "Robo Advisor Myths",
                      link: "https://www.schwab.com/automated-investing/robo-advisor-myths",
                    },
                    {
                      title: "Education",
                      link: "https://www.schwab.com/automated-investing/investing-insights-white-papers",
                    },
                  ],
                },
              ],
            },
            {
              title: "Schwab Wealth Advisory™",
              link: "https://www.schwab.com/wealth-management/wealth-advisor",
            },
            {
              title: "More Advice Solutions",
              link: "https://www.schwab.com/invest-with-us/wealth-management-services/",
            },
          ],
        },
        {
          title: "Financial Planning",
          link: "#",
          submenu: [
            {
              title: "overview",
              link: "#",
            },
            {
              title: "Financial Planning Offering",
              link: "https://www.schwab.com/financial-planning",
            },
            {
              title: "How Much You Need to Retire",
              link: "https://www.schwab.com/how-much-do-i-need",
            },
            {
              title: "Planning Calculators",
              link: "https://www.schwab.com/financial-planning/tools",
            },
            {
              title: "Complimentary Plan",
              link: "https://www.schwab.com/financial-planning/schwab-plan",
            },
          ],
        },
      ],
    },
  },
  {
    Pricing: {
      title: "Pricing",
      link: "#",
      submenu: [
        {
          title: "Pricing",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "#",
            },
            {
              title: "Commissions and Fees",
              link: "https://www.schwab.com/pricing",
            },
            {
              title: "Understanding Investment Fees",
              link: "https://www.schwab.com/costs-of-investing",
            },
          ],
        },
        {
          title: "Transferring Accounts",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "#",
            },
            {
              title: "Costs and Considerations",
              link: "https://www.schwab.com/transfer-to-schwab",
            },
          ],
        },
        {
          title: "OTHER DETAILS",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "#",
            },
            {
              title: "Client Relationship Summaries",
              link: "https://www.schwab.com/transparency",
            },
          ],
        },
      ],
    },
  },
  {
    "Why Schwab": {
      title: "Why Schwab",
      link: "#",
      submenu: [
        {
          title: "The Schwab Difference",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "#",
            },
            {
              title: "Why Choose Schwab",
              link: "https://www.schwab.com/why-schwab",
            },
            {
              title: "Our Education",
              link: "https://www.schwab.com/why-schwab/investing-education",
            },
            {
              title: "Our Satisfaction Guarantee",
              link: "https://www.schwab.com/satisfaction-guarantee",
            },
            {
              title: "Our Schwab Security",
              link: "https://www.schwab.com/schwabsafe",
              submenu: [
                {
                  title: "Overview",
                  link: "https://www.schwab.com/schwabsafe",
                },
                {
                  title: "Security Knowledge Center",
                  link: "https://www.schwab.com/schwabsafe/security-knowledge-center",
                },
                {
                  title: "Schwab Security Guarantee",
                  link: "https://www.schwab.com/schwabsafe/security-guarantee",
                },
              ],
            },
            {
              title: "Our Experts",
              link: "https://www.schwab.com/schwab-experts",
              submenu: [
                {
                  title: "Overview",
                  link: "#",
                },
                {
                  title: "Meet the experts behind Schwab's investing insights.",
                  link: "https://www.schwab.com/schwab-experts",
                },
              ],
            },
            {
              title: "Our Account Protections",
              link: "https://www.schwab.com/legal/account-protection",
            },
          ],
        },
        {
          title: "Ways to Invest with Us",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "#",
            },
            {
              title: "Overview",
              link: "https://www.schwab.com/invest-with-us",
            },
            {
              title: "Self-Directed Investing",
              link: "https://www.schwab.com/invest-with-us/self-directed-investing",
            },
            {
              title: "Active Trading",
              link: "https://www.schwab.com/trading",
            },
            {
              title: "Automated Investing",
              link: "https://www.schwab.com/intelligent-portfolios",
            },
            {
              title: "Wealth and Investment Management Solutions",
              link: "https://www.schwab.com/invest-with-us/wealth-management-services",
            },
          ],
        },
        {
          title: "How We Compare",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "#",
            },
            {
              title: "Compare Us to Our Competitors",
              link: "https://www.schwab.com/compare-us",
            },
            {
              title: "See Our #1 Rankings",
              link: "https://www.schwab.com/awards",
            },
          ],
        },
      ],
    },
  },
  {
    Learn: {
      title: "Learn",
      link: "#",
      submenu: [
        {
          title: "Insights & Education",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "https://www.schwab.com/learn/",
            },
            {
              title: "Stocks",
              link: "https://www.schwab.com/learn/topic/stocks",
            },
            {
              title: "ETFs",
              link: "https://www.schwab.com/learn/topic/etfs",
            },
            {
              title: "Mutual Funds",
              link: "https://www.schwab.com/learn/topic/mutual-funds",
            },
            {
              title: "Bonds",
              link: "https://www.schwab.com/learn/topic/bonds",
            },
            {
              title: "Fixed Income",
              link: "https://www.schwab.com/learn/topic/fixed-income",
            },
            {
              title: "Portfolio Management",
              link: "https://www.schwab.com/learn/topic/portfolio-management",
            },
            {
              title: "Options",
              link: "https://www.schwab.com/learn/topic/options",
            },
            {
              title: "Futures",
              link: "https://www.schwab.com/learn/topic/futures",
            },
            {
              title: "Forex",
              link: "https://www.schwab.com/learn/topic/forex",
            },
            {
              title: "Technical Analysis",
              link: "https://www.schwab.com/learn/topic/technical-analysis",
            },
            {
              title: "Fundamental Analysis",
              link: "https://www.schwab.com/learn/topic/fundamental-analysis",
            },
          ],
        },
        {
          title: "Trading",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "#",
            },
            {
              title: "Overview",
              link: "https://www.schwab.com/learn/trading",
            },
            {
              title: "thinkorswim Demos",
              link: "https://www.schwab.com/learn/thinkorswim-demos",
            },
          ],
        },
        {
          title: "Market Commentary",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "#",
            },
            {
              title: "Overview",
              link: "https://www.schwab.com/learn/market-commentary",
            },
            {
              title: "Government Policy",
              link: "https://www.schwab.com/learn/topic/government-policy",
            },
            {
              title: "International",
              link: "https://www.schwab.com/learn/topic/international",
            },
          ],
        },
        {
          title: "Planning & Retirement",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "#",
            },
            {
              title: "Financial Planning",
              link: "https://www.schwab.com/learn/topic/financial-planning",
            },
            {
              title: "College & Education",
              link: "https://www.schwab.com/learn/topic/education",
            },
            {
              title: "Estate Planning",
              link: "https://www.schwab.com/learn/topic/estate-planning",
            },
            {
              title: "Saving for Retirement",
              link: "https://www.schwab.com/learn/saving-for-retirement",
            },
            {
              title: "Living in Retirement",
              link: "https://www.schwab.com/learn/in-retirement",
            },
            {
              title: "Tax Planning",
              link: "https://www.schwab.com/learn/taxes",
            },
          ],
        },
        {
          title: "Media",
          link: "#",
          submenu: [
            {
              title: "Overview",
              link: "#",
            },
            {
              title: "Onward Magazine",
              link: "https://www.schwab.com/learn/onward",
            },
            {
              title: "Podcasts",
              link: "https://www.schwab.com/learn/podcasts",
            },
            {
              title: "Schwab Coaching",
              link: "https://www.schwab.com/schwab-coaching",
            },
            {
              title: "Schwab Network",
              link: "https://www.schwab.com/schwab-network",
            },
          ],
        },
      ],
    },
  },
];

function createAccordion(megamenu) {
  const accordion = document.createElement("div");
  accordion.classList.add("accordion", "accordion-flush");
  let accordionIdCounter = 0;

  function createAccordionItem(item, level = 0, parentId) {
    const itemId = `accordion-${parentId}-${level}-${item.title.replace(
      /[^a-zA-Z0-9]/g,
      "-"
    )}`;

    // If the item has no submenu, return a simple div
    if (!item.submenu || item.submenu.length === 0) {
      const simpleDiv = document.createElement("div");
      simpleDiv.classList.add("accordion-simple-item");

      const link = document.createElement("a");
      link.href = item.link || "#";
      link.target = "_blank";
      link.textContent = item.title;

      simpleDiv.appendChild(link);
      return [simpleDiv];
    }

    // If the item has a submenu, create an accordion item
    const itemElement = document.createElement("div");
    itemElement.classList.add("accordion-item");

    const header = document.createElement("h2");
    header.classList.add("accordion-header");
    header.id = `${itemId}-heading`;

    const button = document.createElement("button");
    button.classList.add("accordion-button", "collapsed");
    button.type = "button";
    button.dataset.bsToggle = "collapse";
    button.dataset.bsTarget = `#${itemId}-collapse`;
    button.setAttribute("aria-expanded", "false");
    button.setAttribute("aria-controls", `${itemId}-collapse`);

    button.textContent = item.title;
    header.appendChild(button);

    const collapse = document.createElement("div");
    collapse.classList.add("accordion-collapse", "collapse");
    collapse.id = `${itemId}-collapse`;
    collapse.setAttribute("aria-labelledby", `${itemId}-heading`);

    itemElement.appendChild(header);
    itemElement.appendChild(collapse);

    if (item.submenu && item.submenu.length > 0) {
      const submenu = document.createElement("div");
      submenu.classList.add("accordion-flush");
      item.submenu.forEach((submenuItem) => {
        createAccordionItem(submenuItem, level + 1, parentId).forEach((el) =>
          submenu.appendChild(el)
        );
      });
      collapse.appendChild(submenu);
    }
    return [itemElement];
  }

  megamenu.forEach((topLevelObject) => {
    for (const key in topLevelObject) {
      const topLevelAccordion = document.createElement("div");
      const parentId = accordionIdCounter++;
      topLevelAccordion.id = `accordion-${parentId}`;
      topLevelAccordion.classList.add("accordion", "accordion-flush");
      const items = Array.isArray(topLevelObject[key])
        ? topLevelObject[key]
        : [topLevelObject[key]];
      items.forEach((item) => {
        createAccordionItem(item, 0, parentId).forEach((el) =>
          topLevelAccordion.appendChild(el)
        );
      });
      accordion.appendChild(topLevelAccordion);
    }
  });

  return accordion;
}


const targetElement = document.getElementById("accordion-container"); // Replace "my-accordion-target" with your element's ID.

// Append the accordion to the target element. If targetElement is null, defaults to body.
const accordion = createAccordion(megamenu);
(targetElement || document.body).appendChild(accordion);
